name: linuxserver-apprise-api
services:
  app:
    image: linuxserver/apprise-api:1.3.1
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      APPRISE_ATTACH_SIZE: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: APPRISE_ATTACH_SIZE
          description:
            en_us: Max attachment size in Mb. 0 disables attachments. Must have /attachments mounted to set to a positive value. [OPTIONAL]
    ports:
      - target: 8000
        published: 8000
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/apprise-api/config
        target: /config
      - type: bind
        source: /srv/lsio/apprise-api/attachments
        target: /attachments
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Apprise-api Takes advantage of Apprise through your network with a user-friendly API. * Send notifications to more than 100 services. * An incredibly lightweight gateway to Apprise. * A production ready micro-service at your disposal. * A Simple Website to verify and test your configuration with. Apprise API was designed to easily fit into existing (and new) eco-systems that are looking for a simple notification solution.
  tagline:
    en_us: Takes advantage of Apprise through your network with a user-friendly API. * Send notifications to more than 100 services. * An incredibly lightweight gateway to Apprise. * A production ready micro-service at your disposal. * A Simple Website to verify and test your configuration with. Apprise API was designed to easily fit into existing (and new) eco-systems that are looking for a simple notification solution.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/caronc/apprise-api/master/apprise_api/static/logo.png
  thumbnail: https://raw.githubusercontent.com/caronc/apprise-api/master/apprise_api/static/logo.png
  title:
    en_us: Apprise api
  category: LinuxServer.io
  port_map: '8000'
